Back to top

Matlab loaddap Tool 3.7.0 (4 Dec 2009)

Submitted by jimg on Fri, 12/04/2009 - 17:04

Version 3.7.0 of loaddap is built with libdap 3.9.3. You must have Matlab 2009a or newer to use these binaries. For older Matlab versions, see loaddap 3.6.1/2. Unfortunately due to changes in the OS/X and Linux package maker, you must now get separate libdap and loaddap packages and install the libdap package first, then install the loaddap package. The win32 binary has an installer that includes libdap, so all you need to do is grab the loaddap win32 binary here. It's still fairly easy…


Windows Win32-3.7.0
Win32 package (sig)
Mac OS/X Mac OS/X
Intel Mac 64-bit (snow leopard) (sig) Intel Mac 64-bit (snow leopard) (sig)
Intel Mac 32-bit (sig) libdap 3.9.3 32-bit (sig)
Linux Tux LogoLinux CentOS 5.2
x86_64/CentOS 5.2; (sig) libdap x86_64 CentOS 5.2
Linux Tux Logo Linux CentOS 5.2
i386/CentOS 5.2; (sig) libdap i386 CentOS 5.2

See below, Contributed builds, for additional binaries. Required packages The Matlab structs tool version 3.7.0 was built with libdap library version 3.9.3. Required third-party packages On win32 the libdap binary distribution contains all the third-party libraries you need; on platforms like Linux and OS/X (especially 10.5 and newer) you might look over the requirements for libdap. In most cases those libraries are already present, so to avoid duplication and other problems, we don't provide them by default.

Windows Win32
The libdap binary distribution contains all the third-party libraries you need as well as libdap so you don't need to get any other packages.
Mac OS/X Mac OS/X 10.3 or older
In rare cases Mac users may need to install libxml2. See the third-party software page or go directly to the libxml2 page.
Linux Tux Logo Linux (x86_64/i386)
Modern versions of Linux come with the needed third-party libraries.

Source code

Version 3.7.0
loaddap.tar.gz (sig). If you're after source code for WinXP, contact support about building from our SVN repository. Required: libdap 3.9.3 (sig)

Contributed builds

Version 3.7.0
Contributed: Sharing your binary builds for those operating systems not available here.
Note: for the Ubuntu binary build offered here you will need to run the following commands in usr/lib: sudo ln -s and sudo ln -s